Subject: ANNOUNCING hm--lemacs-menus-1.0.tar.gz
From: [email-masked] (Heiko Muenkel)
Date: Fri, 9 Jul 93 16:56:39 GMT
Newsgroups: comp.os.linux.announce

I've downloaded my package hm--lemacs-menus-1.0.tar.gz to sunsite.unc.edu in 
the directory /pub/linux/incoming. It contents some lisp files which provides
popup and pulldown menus, simple dialog boxes without the need of motif
and the feature to scroll the lemacs by clicking with the mouse on the
menubar for some modes of the lemacs. 

I've include the README- file from the package at the end of this posting.

Heiko

---- Begin of the README file ----
This README file describes the lemacs lisp package hm--lemacs-menus-1.0.
The package provides various popup and pulldown menus and simple dialog boxes
(without the need of motif) for the lemacs. There are also some files in this
package, which provides the posibiltiy to scroll a buffer by clicking with the
mouse on the modeline.
I don't know, if this package works also with the emacs-19 or the epoch. 
It is tested with the lemacs 19.4 on Suns with SunOS 4.1.3 and on PC's with 
linux. But it should work also on other (only UNIX ?) plattforms.

The package consists of the following files:

README				: this file;

comm-regn.el			: provides functions to comment and uncomment
				  regions in c files; the original author is
				  [email-masked]; I've modified
				  this file for the use with the c++-c-mode; 
				  the comment and uncomment functions of this
				  file are better for the c- and c++-c-mode
				  than the corresponding functions of the
				  file c++-mode.el;

hm--c++-menu.el			: provides popup and pulldown menus for the
				  c++-mode;

hm--c-menu.el			: provides popup and pulldown menus for the
				  c++-mode;

hm--date.el			: provides a function to put the date in a
				  special formated string;

hm--dired-menu.el		: provides a pulldown and popup menu for the 
				  dired mode; it provides also functions to
				  get files by clicking on the middle mouse
				  button;

hm--elisp-menu.el		: provides pulldown and popup menus for the
				  emacs lisp modes and for the edebug mode;

hm--menu.el			: provides global pulldown and popup menus
				  and some functions, which are used in some
				  of the other menu files; 

hm--mouse-on-modeline-dired.el	: provides functions for scrolling dired 
				  buffers by clicking on a modeline;

hm--mouse-on-modeline-menu.el	: provides functions for scrolling buffers 
				  by clicking on a modeline for modes, which 
				  are using the popup function in hm--menu.el;

hm--mouse-on-modeline.el	: general functions for the modeline scrolling
				  feature and functions for scrolling buffers
				  with the buffer-mode;

hm--programming-menu.el		: functions for the files hm--elisp-menu.el,
				  hm--c++-menu.el and hm--c-menu.el; it 
				  provides also a popup menu for the compile
				  mode;

hm--y-or-n.el			: provides simple dialog boxes for the 
				  questions y-or-n-p and yes-or-no-p without
				  tne need of motif;

menu-utils.el			: profides functions for the file 
				  hm--y-or-n.el; Sorry, but I can't rember
				  the author of this file;

c-file.header			: Textfile with a file header for c and c++
				  files;

h-file.header			: Textfile with a file header for incude files;

c-function.header		: Textfile with a header for c functions;

h-macro.header			: Textfile with a header for macros, which will
				  be used as functions;

h-c++.header			: Textfile with a header for c++ class defi-
				  nitions;

The headers are devolped from various people at our Institute (Institut f|r
Theoretische Nachrichtentechnik und Informationsverarbeitung).

Each of the hm--*.el files consists of a short description and an installation
part. Look at this parts for further informations. 

You don't need to install all of these files. Therefore look at the description
and installation parts ot the hm--*.el files.

Please send any bug reports, fixes or comments to 
		[email-masked]

I hope these files will be usefull,

Heiko
--
________________________________________________________________________________

Dipl.-Ing. Heiko Muenkel           Universitaet Hannover
				   Institut fuer Theoretische Nachrichtentechnik
				   und Informationsverarbeitung
[email-masked]        Appelstrasse 9A
fax:    +49-511-762-5333           30167 Hannover
phone:  +49-511-762-5323           Germany
________________________________________________________________________________

--
Send submissions for comp.os.linux.announce to: [email-masked]